<?php

/*
 * @component UserPoints
 * @copyright Copyright (C) 2015-2022 Bernard Gilly - Adrien Roussel - Martin Brampton
 * @license : GNU/GPL
 * @Website : https://remository.com
 */

namespace BlackSheepResearch\Component\UserPoints\Site;

// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use BlackSheepResearch\Component\UserPoints\Site\Controller;

/**
 * @package UserPoints
 */
class UserController extends Controller {

    static protected $myspace = __NAMESPACE__;
    static protected $suffix = 'HTML';

    public function execute($task) {
        $classname = __NAMESPACE__ . '\\Controllers\\' . ucfirst($task) . 'Control';
	$action = $this->input->getCmd('task', 'display');
	$controller = new $classname();
	$controller->$action();
    }

}

// end class
